> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-r/reference/workflow/workflowusdlist_tables.md).

# Workflow$list\_tables

### Workflow$<mark style="color:purple;">list\_tables</mark>(*max\_results=NULL, include\_datasources=FALSE*) → list<[Table](/api/client-libraries/redivis-r/reference/table.md)>

Returns a list of tables within the workflow. By default, only tables created by the workflow are included. Set `include_datasources=TRUE` to also include tables from the datasets and workflows that have been added to the workflow as [datasources](/api/client-libraries/redivis-r/reference/datasource.md).

### **Parameters:**

**`max_results` :&#x20;*****int, default NULL***\
If specified, will only return up to max\_results tables

**`include_datasources` :&#x20;*****bool, default FALSE***\
Whether to also return the tables from the workflow's datasources. Tables from a dataset will reflect the version selected for that datasource, and will be sample tables if the datasource is sampled.

### **Returns:**

**list<**[**Table**](/api/client-libraries/redivis-r/reference/table.md)**>**

### **Examples:**

```r
workflow <- redivis$user("imathews")$workflow("example_workflow_climate_analysis")
tables <- workflow$list_tables()

for (table in tables){
    print(table$properties) # Properties will be populated with the table.list resource representation
}

# Also include tables from the workflow's datasources
all_tables <- workflow$list_tables(include_datasources=TRUE)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/workflow/workflowusdlist_tables.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
